Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class XLinkSupport

    java.lang.Object
      org.apache.batik.dom.util.XLinkSupport

public class XLinkSupport
extends java.lang.Object

This class provides support for XLink features.

Field Summary
`static java.lang.String` | `XLINK_NAMESPACE_URI` The xlink namespace URI.

Constructor Summary
`XLinkSupport()`

Method Summary
`static java.lang.String` | `getXLinkActuate(org.w3c.dom.Element elt)` Returns the value of the 'xlink:actuate' attribute of the given element.
`static java.lang.String` | `getXLinkArcRole(org.w3c.dom.Element elt)` Returns the value of the 'xlink:arcrole' attribute of the given element.
`static java.lang.String` | `getXLinkHref(org.w3c.dom.Element elt)` Returns the value of the 'xlink:href' attribute of the given element.
`static java.lang.String` | `getXLinkRole(org.w3c.dom.Element elt)` Returns the value of the 'xlink:role' attribute of the given element.
`static java.lang.String` | `getXLinkShow(org.w3c.dom.Element elt)` Returns the value of the 'xlink:show' attribute of the given element.
`static java.lang.String` | `getXLinkTitle(org.w3c.dom.Element elt)` Returns the value of the 'xlink:title' attribute of the given element.
`static java.lang.String` | `getXLinkType(org.w3c.dom.Element elt)` Returns the value of the 'xlink:type' attribute of the given element.
`static void` | `setXLinkActuate(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:actuate' attribute of the given element.
`static void` | `setXLinkArcRole(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:arcrole' attribute of the given element.
`static void` | `setXLinkHref(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:href' attribute of the given element.
`static void` | `setXLinkRole(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:role' attribute of the given element.
`static void` | `setXLinkShow(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:show' attribute of the given element.
`static void` | `setXLinkTitle(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:title' attribute of the given element.
`static void` | `setXLinkType(org.w3c.dom.Element elt, java.lang.String str)` Sets the value of the 'xlink:type' attribute of the given element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XLINK_NAMESPACE_URI

    public static final java.lang.String XLINK_NAMESPACE_URI

  The xlink namespace URI.

  See Also:
    Constant Field Values

Constructor Detail

### XLinkSupport

    public XLinkSupport()

Method Detail

### getXLinkType

    public static java.lang.String getXLinkType(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:type' attribute of the given element.

### setXLinkType

    public static void setXLinkType(org.w3c.dom.Element elt,
                                    java.lang.String str)

  Sets the value of the 'xlink:type' attribute of the given element.

### getXLinkRole

    public static java.lang.String getXLinkRole(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:role' attribute of the given element.

### setXLinkRole

    public static void setXLinkRole(org.w3c.dom.Element elt,
                                    java.lang.String str)

  Sets the value of the 'xlink:role' attribute of the given element.

### getXLinkArcRole

    public static java.lang.String getXLinkArcRole(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:arcrole' attribute of the given element.

### setXLinkArcRole

    public static void setXLinkArcRole(org.w3c.dom.Element elt,
                                       java.lang.String str)

  Sets the value of the 'xlink:arcrole' attribute of the given element.

### getXLinkTitle

    public static java.lang.String getXLinkTitle(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:title' attribute of the given element.

### setXLinkTitle

    public static void setXLinkTitle(org.w3c.dom.Element elt,
                                     java.lang.String str)

  Sets the value of the 'xlink:title' attribute of the given element.

### getXLinkShow

    public static java.lang.String getXLinkShow(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:show' attribute of the given element.

### setXLinkShow

    public static void setXLinkShow(org.w3c.dom.Element elt,
                                    java.lang.String str)

  Sets the value of the 'xlink:show' attribute of the given element.

### getXLinkActuate

    public static java.lang.String getXLinkActuate(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:actuate' attribute of the given element.

### setXLinkActuate

    public static void setXLinkActuate(org.w3c.dom.Element elt,
                                       java.lang.String str)

  Sets the value of the 'xlink:actuate' attribute of the given element.

### getXLinkHref

    public static java.lang.String getXLinkHref(org.w3c.dom.Element elt)

  Returns the value of the 'xlink:href' attribute of the given element.

### setXLinkHref

    public static void setXLinkHref(org.w3c.dom.Element elt,
                                    java.lang.String str)

  Sets the value of the 'xlink:href' attribute of the given element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.